EDIT - bug #7764

Fix classification and synonym bug in taxon name freetext search
09/17/2018 04:25 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.3

Severity: normal Found in Version:

Description

The bug is described in #5868#note-20 and previous.
e synonym search does not work with classification or subtree defined

e classification specification does not work in TaxonListController search method

Because of the second bug, the first was never found before implementation of subtree filter

Related issues:
Related to EDIT - feature request #5890: Implement auto-suggest for data portal New

Associated revisions

Revision 38b1¢c817 - 09/17/2018 04:36 AM - Andreas Miiller

ref #7764 fix failing synonym search with classification or subtree filter

Revision 0c3d0383 - 09/17/2018 04:39 AM - Andreas Miiller

fix #7764 revert incorrect tree parameter in search service and test for incorrect classification uuid

History

#1 - 09/17/2018 04:39 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|0c3d038322ffb0292ef44¢c461391233c20785cec.

#2 - 09/17/2018 04:40 AM - Andreas Miiller
- Related to feature request #5890: Implement auto-suggest for data portal added

#3 - 09/17/2018 04:41 AM - Andreas Miiller

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

The bug introduced by #5890 and the synonym search bug should now be fixed. Please review.

#4 - 01/20/2021 02:53 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- % Done changed from 50 to 100

works as expected, see for example the http://caucasusflora.org/ where subtree limitation, classification and doSynonyms=1 can be tested in
combination.

http://api.cybertaxonomy.org/euromed/portal/taxon/search.json?pageSize=25&pageNumber=0&tree=314a68{9-8449-495a-91c2-92fde8bcf344&doSy
